import 'package:doctor_app_flutter/util/helpers.dart';

class ListDoctorWorkingHoursTable {
  DateTime date;
  String dayName;
  String workingHours;

  ListDoctorWorkingHoursTable({this.date, this.dayName, this.workingHours});

  ListDoctorWorkingHoursTable.fromJson(Map<String, dynamic> json) {
    date = Helpers.convertStringToDate(json['Date'])  ;
    dayName = json['DayName'];
    workingHours = json['WorkingHours'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Date'] = this.date;
    data['DayName'] = this.dayName;
    data['WorkingHours'] = this.workingHours;
    return data;
  }
}

class WorkingHours {
  String from;
  String to;
  WorkingHours({this.from,this.to});

}
